Bug 7754 - [Backport Request] snes9x
: [Backport Request] snes9x
Status: RESOLVED WONTFIX
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-03 12:45 MSK by Zombie Ryushu
Modified: 2017-03-08 16:43 MSK (History)
3 users (show)

See Also:
RPM Package: snes9x
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2017-03-03 12:45:03 MSK
I never realized this, but Rosa 2012.1 has a version of snes9x-x adn snes9x-gtk that date back to Mandriva 2008.1, can you backport this for Rosa 2012.1?
Comment 1 Andrey Bondrov 2017-03-03 13:21:02 MSK
gcc in rosa2012.1 seems to be too old for new snes9x version. Doesn't build.
Comment 2 Zombie Ryushu 2017-03-03 13:44:45 MSK
In that case, give RetroArch 1.4.1 a try.
Comment 3 Andrey Bondrov 2017-03-03 14:12:53 MSK
(In reply to comment #2)
> In that case, give RetroArch 1.4.1 a try.

I'll try to update it for rosa2014.1 and rosa2016.1.
Comment 4 Zombie Ryushu 2017-03-03 14:28:18 MSK
both the RetroArch, and libretro Cores are substantially out of date by literal years.
Comment 5 Andrey Bondrov 2017-03-03 15:08:13 MSK
(In reply to comment #4)
> both the RetroArch, and libretro Cores are substantially out of date by
> literal years.

I know but libretro update is a big and complex task, it requires a lot of testing (due to number of cores). I already have local RetroArch 1.4.1 build. And I'll try to update libretro at least for rosa2016.1 this weekend.
Comment 6 Zombie Ryushu 2017-03-03 15:10:50 MSK
Put it in your personal repo, I'll pull and build it.
Comment 7 Andrey Bondrov 2017-03-03 16:36:56 MSK
(In reply to comment #6)
> Put it in your personal repo, I'll pull and build it.

You can clone RetroArch 1.4.1 from https://abf.rosalinux.ru/import/retroarch

I'll build it for rosa2014.1 and rosa2016.1 after remaining Contrib packages mass rebuild is complete.
Comment 8 Andrey Bondrov 2017-03-03 21:18:38 MSK
(In reply to comment #4)
> both the RetroArch, and libretro Cores are substantially out of date by
> literal years.

Well, now I have local build of libretro cores snapshot from 2017.03.03. It comes with updated old cores + 3 new cores (81, mame2014 and mgba). 81 seems to be rather useless, it emulates only ZX81. Other 2 new cores are useful (if working).

There are many other WIP-cores inside libretro-super but they don't build by default (pcem etc). So I guess they are not ready to be packaged yet.

Now I have to test this update before pushing to ABF git.
Comment 9 Zombie Ryushu 2017-03-04 01:05:11 MSK
Excellent.

Holding out hope for a few things:

MSU-1 Support in SNES
Super Game Boy support in VBAM
Better Synced up Networking support on Neo Geo and Game Boy Color.
3 player support over a network.

By the way. My Build of RetroArch seems to be forever in build pending status
Comment 10 Andrey Bondrov 2017-03-04 05:35:57 MSK
(In reply to comment #9)
> By the way. My Build of RetroArch seems to be forever in build pending status

Yes, ABF was stopped for glusterfs maintenance yesterday. It may take a day or two.
Comment 11 Andrey Bondrov 2017-03-04 15:52:41 MSK
(In reply to comment #9)
> Excellent.
> 
> Holding out hope for a few things:
> 
> MSU-1 Support in SNES

Looks like new snes9x core has this feature indeed. I haven't tested if it works but there's source code for it.
Comment 12 Andrey Bondrov 2017-03-08 16:43:34 MSK
Both RetroArch and libretro updates pushed to rosa2016.1 and rosa2014.1 repositories.